BANK KALTENG - Feature #3640

Permintaan Pembuatan Halaman KPI Dashboard
05/26/2025 03:42 PM - Mr Dhafin

Status: QA Test Start date: 05/26/2025
Priority: Urgent Due date: 06/12/2025
Assignee: Mr Dhafin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Tolong bantu buatkan halaman KPI Dashboard sesuai desain terlampir. Menu ini akan ditempatkan di Business Intelligence >
Dashboard > KPI Dashboard.
Fitur yang ditampilkan:

1. Kotak atas:

Total Completed KPIs (misal: 25%)

Completed KPlIs vs Total Job Positions (Min 2 Months) (misal: 45%)

2. Grafik Pie 1: Number of KPIs With Score (Score A, B, C, D)

3. Grafik Pie 2: Number of KPIs Awaiting Approval (Create, Complete, App Supervisor, App Supervisor Level 2)

Terimakasih.
History

#1 - 05/26/2025 03:42 PM - Mr Dhafin
- File Project Widget BKT KPI Dashboard_page-0001.jpg added

#2 - 05/26/2025 03:44 PM - Mr Dhafin

- Status changed from New to Assigned

#3 - 05/27/2025 10:29 AM - Kezia Pawitra Yulianti

Dhafin,
tolong di jelasin juga yaa di redmine, untuk widget ini ambil datanya dari mana. jelasin nama tabel dan field untuk get datanya.

haykal haykal, tolong dibantu yaa jelasin ke dhafin untuk detail in.
Tks

#4 - 05/28/2025 03:48 PM - Mr Dhafin

Berikut ya mas, untuk referensi Tablenya:

Referensi Table dan Field untuk Data Performance Management:
1. Performance Management:

- Sumber data: Tabel PHRPA0047

- Field:

* Appraisal Type dengan nilai:

- G = Performance Goal Setting

- P = Performance Review

- F = Performance Final

2. Total Completed KPlIs:

- Sumber data: Tabel PHRPA0047

- Field:

* Appraisal Type (G, P, F)

* Appraisal Period

3. Number of KPIs Awaiting Approval:

- Sumber data: Tabel PCMWFRUNTASK
- Field TaskIDRun dengan nilai:

« create = Create
* apv_ds = App Supervisor

* apv_nha = App Supervisor Level 2
4. Number of KPIs With Score:

- Sumber data: Tabel PHRPA0047
- Field: Adjustedindex

#5 - 05/28/2025 04:40 PM - Mr Dhafin
- File Project Widget BKT KPI Dashboard (1)_page-0001.jpg added

#6 - 05/28/2025 04:40 PM - Mr Dhafin
- File deleted (clipboard-202505261541-5hkd7 jpg)

#7 - 05/28/2025 04:40 PM - Mr Dhafin
- File deleted (Project Widget BKT KPI Dashboard _page-0001.jpg)

#8 - 06/09/2025 09:00 AM - Kezia Pawitra Yulianti
- Due date changed from 06/02/2025 to 06/12/2025

- Priority changed from Normal to Urgent

#9 - 06/11/2025 11:37 AM - mahlil ..
- Status changed from Assigned to QA Test

- Assignee changed from mabhlil .. to Mr Dhafin

bisa di test di demo

penambahan ui diserver demo dengan nama pages KPIDASH
menuid KPIDASH

sp: - [GETKPITOTALAPPROVAL]

- [GETKPISCORECOMPLETE]

- [GETKPISCORE]

untuk di table PCMWFCUSTPARAM dengan id:
-BI_DASHBOARD_KPI_COMPLETE
-BI_DASHBOARD_KPI_SCORE
-BI_DASHBOARD_KPI_WAITING_APPROVAL
